org.mariadb.jdbc.internal.mysql

## Class UnixDomainSocket.SockAddr

- java.lang.Object
- - com.sun.jna.Structure
  - - org.mariadb.jdbc.internal.mysql.UnixDomainSocket.SockAddr

Enclosing class:
  UnixDomainSocket

    public static class UnixDomainSocket.SockAddr
    extends com.sun.jna.Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

### Field Summary

Fields
`short` `sun_family`
`byte[]` `sun_path`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UnixDomainSocket.SockAddr(String sunPath)`

### Method Summary

Methods
`protected List` `getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sun_family

    public short sun_family

#### sun_path

    public byte[] sun_path

### Constructor Detail

#### UnixDomainSocket.SockAddr

    public UnixDomainSocket.SockAddr(String sunPath)

### Method Detail

#### getFieldOrder

    protected List getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`